- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libvisio::VSDStartTextObjectOutputElement Class Reference
Inheritance diagram for libvisio::VSDStartTextObjectOutputElement:

## Public Member Functions
| VSDStartTextObjectOutputElement (const WPXPropertyList &propList, const WPXPropertyListVector &propListVec)
virtual | ~VSDStartTextObjectOutputElement ()
virtual void | draw (libwpg::WPGPaintInterface *painter)
virtual VSDOutputElement * | clone ()
Public Member Functions inherited from libvisio::VSDOutputElement
| VSDOutputElement ()
virtual | ~VSDOutputElement ()

## Private Attributes
WPXPropertyList | m_propList
WPXPropertyListVector | m_propListVec

## Constructor & Destructor Documentation

libvisio::VSDStartTextObjectOutputElement::VSDStartTextObjectOutputElement | ( | const WPXPropertyList & | propList,
|  | const WPXPropertyListVector & | propListVec
| ) |  |

Referenced by clone().

virtual libvisio::VSDStartTextObjectOutputElement::~VSDStartTextObjectOutputElement | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual VSDOutputElement* libvisio::VSDStartTextObjectOutputElement::clone | ( |  | ) |
| inline virtual

Implements libvisio::VSDOutputElement.

void libvisio::VSDStartTextObjectOutputElement::draw | ( | libwpg::WPGPaintInterface * | painter | ) |
| virtual

Implements libvisio::VSDOutputElement.

## Member Data Documentation

WPXPropertyList libvisio::VSDStartTextObjectOutputElement::m_propList
| private

Referenced by clone().

WPXPropertyListVector libvisio::VSDStartTextObjectOutputElement::m_propListVec
| private

Referenced by clone().

The documentation for this class was generated from the following file:

- VSDOutputElementList.cpp